IABot duplicated the page text at least twice on an article
Closed, ResolvedPublic

Description

There is an unknown bug that caused IABot to duplicate the page text on an article repeatedly.

See https://en.wikipedia.org/w/index.php?title=Queer_as_Folk_(season_1)&diff=730870801&oldid=730808001

Glaisher removed a subscriber: Glaisher.Jul 25 2016, 4:17 AM
Cyberpower678 closed this task as "Resolved".Aug 5 2016, 8:39 AM

This time, it is not as a result of the core parser which has been overhauled.

@Cyberpower678: IABot should include some sanity checks to prevent this type of error. For example if the new text of an article is more than twice the size of the original article, abort the edit. (Hopefully there is already a sanity check to prevent blanking an article.)

Blanking an article is extraordinarily unlikely. It downloads the page content at the start of the analysis, if it gets a blank article, then it will remain blank through the analysis. Before editing, it checks if the article content changed in anyway, and since it is still blank, it will not edit.

In a way that serves as a sanity check to blanking an article. But I'm really hesitant to adding more. I'm of the opinion that sanity checks only mask the real problems, rather than fix them. I believe in fixing problems at the root.

The page duplication is as a result of the isConnected function again. The patch should and will fix it once and for all.

Cyberpower678 closed this task as "Resolved".Aug 10 2016, 2:48 PM
DannyH moved this task from Untriaged to Archive on the Community-Tech board.Aug 15 2016, 10:32 PM